;===========================================================================
; Tile Data
;===========================================================================

;---------------------------------------------------------------------------
; Tile Array
;---------------------------------------------------------------------------

; format:
; one word for the address of the tile
; one byte for the boundaries of the tile (%0000 + up + down + left + right)

tiles:
	; these are regular tiles
	; which can be used in any map

	; tile 0
	.word	gfx.tile.0
	.byte	%00001111

	; tile 1
	.word	gfx.tile.1
	.byte	%00000111

	; tile 2
	.word	gfx.tile.2
	.byte	%00000101

	; tile 3
	.word	gfx.tile.3
	.byte	%00001111

	; tile 4
	.word	gfx.tile.4
	.byte	%00001101

	; these are the ghost area: blank, and you can't move

	; tile 5
	.word	gfx.tile.2
	.byte	%00000000

	; tile 6
	.word	gfx.tile.1
	.byte	%00000000


;---------------------------------------------------------------------------
; Tile Graphics
;---------------------------------------------------------------------------

gfx.tile.0:
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000

gfx.tile.1:
	.byte	%11111100
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000

gfx.tile.2:
	.byte	%11111110
	.byte	%00001000
	.byte	%00100000
	.byte	%10000010
	.byte	%00000000

gfx.tile.3:
	.byte	%10000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000

gfx.tile.4:
	.byte	%10000010
	.byte	%00001000
	.byte	%00100000
	.byte	%10000010
	.byte	%00000000

;===========================================================================
; Sprite Data
;===========================================================================

;---------------------------------------------------------------------------
; Sprite Array
;---------------------------------------------------------------------------

sprites:
	.word	gfx.clearSprite					; sprite 0

	.word	gfx.pacman.up.0					; sprite 1
	.word	gfx.pacman.up.1					; sprite 2
	.word	gfx.pacman.up.2					; sprite 3
	.word	gfx.pacman.up.3					; sprite 4

	.word	gfx.pacman.down.0					; sprite 5
	.word	gfx.pacman.down.1					; sprite 6
	.word	gfx.pacman.down.2					; sprite 7
	.word	gfx.pacman.down.3					; sprite 8

	.word	gfx.pacman.left.0					; sprite 9
	.word	gfx.pacman.left.1					; sprite 10
	.word	gfx.pacman.left.2					; sprite 11
	.word	gfx.pacman.left.3					; sprite 12

	.word	gfx.pacman.right.0				; sprite 13
	.word	gfx.pacman.right.1				; sprite 14
	.word	gfx.pacman.right.2				; sprite 15
	.word	gfx.pacman.right.3				; sprite 16
	
	.word	gfx.ghost.sprite.0				; sprite 17
	.word	gfx.ghost.sprite.1				; sprite 18
	
	.word	gfx.ghostGate					; sprite 19

	.word	gfx.pacman.death.0				; sprite 20
	.word	gfx.pacman.death.1				; sprite 21
	.word	gfx.pacman.death.2				; sprite 22

	.word	gfx.powerPellet					; sprite 23

	.word	gfx.ghost.sprite.eat				; sprite 24
	.word gfx.ghost.sprite.eat.1				; sprite 25
	.word	gfx.ghost.sprite.dead				; sprite 26
	.word	gfx.ghost.sprite.no16				; sprite 27
	.word gfx.ghost.sprite.no8				; sprite 28
	.word	gfx.ghost.sprite.no4				; sprite 29
	.word	gfx.ghost.sprite.no2				; sprite 30
	.word	gfx.ghost.sprite.no00				; sprite 31

	.word gfx.fruit.cherry.1				; sprite 32
	.word gfx.fruit.cherry.2				; sprite 33

	.word gfx.fruit.strawberry.1				; sprite 34
	.word gfx.fruit.strawberry.2				; sprite 35

	.word gfx.fruit.orange.1				; sprite 36
	.word gfx.fruit.orange.2				; sprite 37

	.word gfx.fruit.apple.1					; sprite 38
	.word gfx.fruit.apple.2					; sprite 39

	.word gfx.fruit.grenade					; sprite 40

	.word gfx.fruit.spaceship.1				; sprite 41
	.word gfx.fruit.spaceship.2				; sprite 42
	.word gfx.fruit.spaceship.3				; sprite 43

	.word gfx.fruit.bell.1					; sprite 44
	.word gfx.fruit.bell.2					; sprite 45

	.word gfx.fruit.key.1					; sprite 46
	.word gfx.fruit.key.2					; sprite 47	
	
	.word	gfx.fruit.strawberry.3				; sprite 48
	.word	gfx.fruit.orange.3				; sprite 49
	.word gfx.fruit.apple.3					; sprite 50
	.word	gfx.fruit.spaceship.4				; sprite 51
	.word gfx.fruit.key.3					; sprite 52





;---------------------------------------------------------------------------
; Clear Sprite
;---------------------------------------------------------------------------

gfx.clearSprite:
	; 5x5 block to clear
	; a drawn sprite
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000

;---------------------------------------------------------------------------
; Pac-Man Sprites
;---------------------------------------------------------------------------

gfx.pacman:
	; pacman sprites

gfx.pacman.up.0:
	.byte	%00000000
	.byte	%10001000
	.byte	%11011000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.up.1:
	.byte	%00000000
	.byte	%11011000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.up.2:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.up.3:
	.byte	%00000000
	.byte	%11011000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000

gfx.pacman.down.0:
	.byte	%01110000
	.byte	%11111000
	.byte	%11011000
	.byte	%10001000
	.byte	%00000000
gfx.pacman.down.1:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11011000
	.byte	%00000000
gfx.pacman.down.2:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.down.3:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11011000
	.byte	%00000000

gfx.pacman.left.0:
	.byte	%01110000
	.byte	%00111000
	.byte	%00011000
	.byte	%00111000
	.byte	%01110000
gfx.pacman.left.1:
	.byte	%01110000
	.byte	%01111000
	.byte	%00111000
	.byte	%01111000
	.byte	%01110000
gfx.pacman.left.2:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.left.3:
	.byte	%01110000
	.byte	%01111000
	.byte	%00111000
	.byte	%01111000
	.byte	%01110000

gfx.pacman.right.0:
	.byte	%01110000
	.byte	%11100000
	.byte	%11000000
	.byte	%11100000
	.byte	%01110000
gfx.pacman.right.1:
	.byte	%01110000
	.byte	%11110000
	.byte	%11100000
	.byte	%11110000
	.byte	%01110000
gfx.pacman.right.2:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000
gfx.pacman.right.3:
	.byte	%01110000
	.byte	%11110000
	.byte	%11100000
	.byte	%11110000
	.byte	%01110000

;---------------------------------------------------------------------------
; Pacman Death
;---------------------------------------------------------------------------	

gfx.pacman.death.0:
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%11111000
	.byte	%01110000

gfx.pacman.death.1:
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00100000
	.byte	%01110000

gfx.pacman.death.2:
	.byte	%10001000
	.byte	%00000000
	.byte	%00000000
	.byte	%10001000
	.byte	%00000000
	
;---------------------------------------------------------------------------
; Ghost Sprites
;---------------------------------------------------------------------------

gfx.ghost.sprite.0:
	.byte	%01110000
	.byte	%10101000
	.byte	%11111000
	.byte	%11111000
	.byte	%10101000

gfx.ghost.sprite.1:
	.byte	%01110000
	.byte	%10101000
	.byte	%11111000
	.byte	%11111000
	.byte	%01010000

;---------------------------------------------------------------------------
; ghost gate sprite
;---------------------------------------------------------------------------

gfx.ghostGate:
	.byte	%11111000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000

;---------------------------------------------------------------------------
; power pellet
;---------------------------------------------------------------------------

gfx.powerPellet:
	.byte	%11100000
	.byte	%11100000
	.byte	%11100000
	.byte	%00000000
	.byte	%00000000

;---------------------------------------------------------------------------
; Sprites for Eating the Ghosts
;---------------------------------------------------------------------------

gfx.ghost.sprite.eat:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%10101000

gfx.ghost.sprite.eat.1:
	.byte	%01110000
	.byte	%11111000
	.byte	%11111000
	.byte	%11111000
	.byte	%01010000

gfx.ghost.sprite.dead:
	.byte	%01010000
	.byte	%10101000
	.byte	%01010000
	.byte	%00000000
	.byte	%00000000

gfx.ghost.sprite.no16:
	.byte	%10010000
	.byte	%10100000
	.byte	%10110000
	.byte	%10101000
	.byte	%10010000

gfx.ghost.sprite.no8:
	.byte	%00010000
	.byte	%00101000
	.byte	%00010000
	.byte	%00101000
	.byte	%00010000

gfx.ghost.sprite.no4:
	.byte	%00101000
	.byte	%00101000
	.byte	%00111000
	.byte	%00001000
	.byte	%00001000

gfx.ghost.sprite.no2:
	.byte	%00010000
	.byte	%00101000
	.byte	%00001000
	.byte	%00110000
	.byte	%00111000

gfx.ghost.sprite.no00:
	.byte	%01010000
	.byte	%10101000
	.byte	%10101000
	.byte	%10101000
	.byte	%01010000

;---------------------------------------------------------------------------
; Fruit sprites
;---------------------------------------------------------------------------

gfx.fruit.cherry.1:		; green
	.byte	%00010000
	.byte	%00100000
	.byte	%00010000
	.byte	%00000000
	.byte	%00000000

gfx.fruit.cherry.2:		; red
	.byte	%00000000
	.byte	%00000000
	.byte	%11000000
	.byte	%10110000
	.byte	%00110000

gfx.fruit.strawberry.1:		; green
	.byte	%01110000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000

gfx.fruit.strawberry.2:		; red
	.byte	%00000000
	.byte	%10111000
	.byte	%11101000
	.byte	%01010000
	.byte	%00100000

gfx.fruit.orange.1:		; green
	.byte	%00011000
	.byte	0
	.byte	0
	.byte	0
	.byte	0

gfx.fruit.orange.2:		; red
	.byte	%00000000
	.byte	%01110000
	.byte	%10111000
	.byte	%11101000
	.byte	%01110000

gfx.fruit.apple.1:		; green
	.byte	%00010000
	.byte	%00100000
	.byte	0
	.byte	0
	.byte	0

gfx.fruit.apple.2:		; red
	.byte	0
	.byte	%01010000
	.byte	%11111000
	.byte	%11101000
	.byte	%01010000

gfx.fruit.grenade:		; green
	.byte	%01000000
	.byte	%00110000
	.byte	%11111000
	.byte	%11111000
	.byte	%01110000

gfx.fruit.spaceship.1:		; green
	.byte	0
	.byte	0
	.byte	%01110000
	.byte	%00100000
	.byte	%00100000

gfx.fruit.spaceship.2:		; blue
	.byte	0
	.byte	0
	.byte	%10001000
	.byte	0
	.byte	0

gfx.fruit.spaceship.3:		; red
	.byte	%00100000
	.byte	%01110000
	.byte	0
	.byte	0
	.byte	0

gfx.fruit.bell.1:			; red
	.byte	%00100000
	.byte	%01010000
	.byte	%11111000
	.byte	%11111000
	.byte	%10101000

gfx.fruit.bell.2:			; blue
	.byte	0
	.byte	0
	.byte	0
	.byte	0
	.byte	%01010000

gfx.fruit.key.1:			; green
	.byte	%01110000
	.byte	%01010000
	.byte	0
	.byte	0
	.byte	0

gfx.fruit.key.2:			; blue
	.byte	0
	.byte	0
	.byte	%00100000
	.byte	%00110000
	.byte	%00000000


gfx.fruit.strawberry.3				; bkg sprite 48
	.byte	%00000000
	.byte	%01000000
	.byte	%00010000
	.byte	%00100000
	.byte	%00000000

gfx.fruit.orange.3				; bkg sprite 49
	.byte	%00000000
	.byte	%00000000
	.byte	%01000000
	.byte	%00010000
	.byte	%00000000

gfx.fruit.apple.3					; bkg sprite 50
	.byte	%00000000
	.byte	%00000000
	.byte	%00000000
	.byte	%00010000
	.byte	%00000000

gfx.fruit.spaceship.4				; bkg sprite 51
	.byte	%01010000
	.byte	%10001000
	.byte	%00000000
	.byte	%11011000
	.byte	%01010000

gfx.fruit.key.3					; bkg sprite 52
	.byte	%10001000
	.byte	%10001000
	.byte	%01010000
	.byte	%01001000
	.byte	%01111000


;===========================================================================
; Graphics Data
;===========================================================================

;---------------------------------------------------------------------------
; Ghost Colors
;---------------------------------------------------------------------------

gfx.ghost.colors:
	.byte	GHOST_1_COLOR, GHOST_2_COLOR, GHOST_3_COLOR, GHOST_4_COLOR

;---------------------------------------------------------------------------
; "PAC-MAN" Text logo
;---------------------------------------------------------------------------

gfx.pacmanlogo.parameters:
	.byte	clear			; color 1
	.byte	green			; color 2
	.byte	19			; x position
	.byte	2			; y position
	.byte	63			; width
	.byte	9			; height
	.word	gfx.pacmanlogo.data		; address for the graphics
	
gfx.pacmanlogo.data:
	.byte %11111110, %00011100, %00001111, %10000000, %01000000, %01000001
	.byte %11000001, %00001111, %11111110, %00111000, %00111111, %10000000
	.byte %11000001, %10000011, %10000011, %00011111, %11111100, %11111000
	.byte %11111100, %00000001, %11000111, %00001111, %10000111, %00111111
	.byte %10111001, %11110001, %11110000, %00000011, %11011110, %00011111
	.byte %00001111, %01111111, %11110111, %11110011, %11000000, %11100111
	.byte %11111100, %01111111, %00011111, %11111111, %11001110, %11100111
	.byte %11000001, %11001111, %11111000, %11101110, %00111111, %11111000
	.byte %00111111, %11101111, %11000000, %00011111, %11110011, %11111110
	.byte %01111111, %11110000, %01111111, %11001111, %11100000, %00111111
	.byte %11100111, %11111100, %11111111, %11100001, %11111111, %11001111
	.byte %10000000, %01111111, %11011111, %11111101, %11111110

;---------------------------------------------------------------------------
; "(c)NAMCO" logo
;---------------------------------------------------------------------------

gfx.namco.parameters:
	.byte	clear			; color 1
	.byte	green			; color 2
	.byte	27			; x position
	.byte	45			; y position
	.byte	46			; width
	.byte 7			; height
	.word	gfx.namco.data		; address for the graphics
	
gfx.namco.data:
	.byte %01111000, %11111001, %11100111, %10111100, %01111100
	.byte %11111010, %00010011, %11110111, %11011111, %11111011
	.byte %11110111, %11111011, %01001100, %11000011, %01100110
	.byte %01101100, %00011000, %11101001, %00110011, %01111101
	.byte %10011001, %10110000, %01100011, %10110100, %11001101
	.byte %10110110, %01100110, %11000001, %10001110, %00010011
	.byte %00110111, %11011001, %10011011, %11110111, %11110111
	.byte %10001100, %11011111, %01100110, %01100111, %11001111
	.byte %10000000

;---------------------------------------------------------------------------
; "SHADOW/BLINKY" Lettering
;---------------------------------------------------------------------------

gfx.blinky.parameters:
	.byte	clear			; color 1
	.byte	red			; color 2
	.byte	31			; x position
	.byte	16			; y position
	.byte	56			; width
	.byte	5			; height
	.word	gfx.blinky.data	; address for the graphics

gfx.blinky.data:
	.byte %01101010, %01001100, %01100100, %01000000, %10110010, %00101001, %01010101
	.byte %10001010, %10101010, %10010100, %01000001, %00101010, %00101101, %01010101
	.byte %01001110, %11101010, %10010101, %01000010, %00110010, %00101011, %01100010
	.byte %00101010, %10101010, %10010101, %01000100, %00101010, %00101011, %01010010
	.byte %11001010, %10101100, %01100010, %10001000, %00110011, %10101001, %01010010

; _##_#_#__#__##___##__#___#______#_##__#___#_#__#_#_#_#_#
; #___#_#_#_#_#_#_#__#_#___#_____#__#_#_#___#_##_#_#_#_#_#
; _#__###_###_#_#_#__#_#_#_#____#___##__#___#_#_##_##___#_
; __#_#_#_#_#_#_#_#__#_#_#_#___#____#_#_#___#_#_##_#_#__#_
; ##__#_#_#_#_##___##___#_#___#_____##__###_#_#__#_#_#__#_


;---------------------------------------------------------------------------
; "SPEEDY/PINKY" Lettering
;---------------------------------------------------------------------------


gfx.pinky.parameters:
	.byte	clear			; color 1
	.byte	red			; color 2
	.byte	31			; x position
	.byte	22			; y position
	.byte	52			; width
	.byte	5			; height
	.word	gfx.pinky.data	; address for the graphics

gfx.pinky.data:
	.byte %01101100, %11101110, %11001010, %00000000, %10110010, %10010101
	.byte %01011000, %10101000, %10001010, %10100000, %00010010, %10101101
	.byte %01010101, %01001100, %11001100, %10100100, %00000010, %00110010
	.byte %10110110, %00100010, %10001000, %10001010, %01000000, %01000010
	.byte %00101011, %01010010, %11001000, %11101110, %11000100, %00001000
	.byte %00100010, %10010101, %00100000


; _##_##__###_###_##__#_#_________#_##__#_#__#_#_#_#_#
; #___#_#_#___#___#_#_#_#________#__#_#_#_##_#_#_#_#_#
; _#__##__##__##__#_#__#________#___##__#_#_##_##___#_
; __#_#___#___#___#_#__#_______#____#___#_#_##_#_#__#_
; ##__#___###_###_##___#______#_____#___#_#__#_#_#__#_____

;---------------------------------------------------------------------------
; "BASHFUL/INKY" Lettering
;---------------------------------------------------------------------------

gfx.inky.parameters:
	.byte	clear			; color 1
	.byte	blue			; color 2
	.byte	31			; x position
	.byte	28			; y position
	.byte	48			; width
	.byte	5			; height
	.word	gfx.inky.data	; address for the graphics

gfx.inky.data:
	.byte %11000100, %01101010, %11101010, %10000000, %10101001, %01010101
	.byte %10101010, %10001010, %10001010, %10000001, %00101101, %01010101
	.byte %11001110, %01001110, %11001010, %10000010, %00101011, %01100010
	.byte %10101010, %00101010, %10001010, %10000100, %00101011, %01010010
	.byte %11001010, %11001010, %10001110, %11101000, %00101001, %01010010

;---------------------------------------------------------------------------
; "POKEY/CLYDE" Lettering
;---------------------------------------------------------------------------

gfx.clyde.parameters:
	.byte	clear			; color 1
	.byte	green			; color 2
	.byte	31			; x position
	.byte	34			; y position
	.byte	52			; width
	.byte	5			; height
	.word	gfx.clyde.data	; address for the graphics

gfx.clyde.data:
	.byte	%11000110, %01010111, %01010000, %00000000, %10011010, %01010110
	.byte %01111010, %10010101, %01000101, %00000000, %00010010, %00100101
	.byte %01010100, %11001001, %01100110, %00100000, %00000010, %00100010
	.byte %00100101, %01101000, %10010101, %01000010, %00000000, %01000010
	.byte %00100010, %01010100, %10000110, %01010111, %00100000, %00001000
	.byte %00011011, %10100110, %01110000

;---------------------------------------------------------------------------
; Remove ghost shadow in intro
;---------------------------------------------------------------------------

gfx.ghostshadow.parameters:
	.byte	clear			; color 1
	.byte	bkg			; color 2
	.byte	26			; x position
	.byte	17			; y position
	.byte	1			; width
	.byte	23			; height
	.word	gfx.ghostshadow.data	; address for the graphics

gfx.ghostshadow.data:
	.byte	$ff, $ff, $ff

;---------------------------------------------------------------------------
; "HIGHSCORE:" intro text
;---------------------------------------------------------------------------

gfx.highscore.parameters:
	.byte	clear			; color 1
	.byte	green			; color 2
	.byte	16			; x position
	.byte	19			; y position
	.byte	36			; width
	.byte	5			; height
	.word	gfx.highscore.data	; address for the graphics

gfx.highscore.data:
	.byte %10101001, %10101001, %10011001, %10011001, %11001010
	.byte %10100010, %10100010, %00100101, %01010001, %11101010
	.byte %10111001, %00100010, %01011001, %10001010, %10101010
	.byte %10001010, %00100101, %01010001, %10101001, %10101011
	.byte %00011001, %10010101, %11000000

;---------------------------------------------------------------------------
; "1 PLAYER" intro text
;---------------------------------------------------------------------------

gfx.1player.parameters:
	.byte	clear			; color 1
	.byte	blue			; color 2
	.byte	12			; x position
	.byte	28			; y position
	.byte	29			; width
	.byte	5			; height
	.word	gfx.1player.data	; address for the graphics

gfx.1player.data:
	.byte %01000011, %00100001, %00101011, %10110110
	.byte %00010101, %00010101, %01010001, %01010000
	.byte %11001000, %11100100, %11001100, %10000100
	.byte %01000101, %00100100, %01011110, %00100011
	.byte %10101001, %00111010, %10000000

; _#____##__#____#__#_#_###_##_
; ##____#_#_#___#_#_#_#_#___#_#
; _#____##__#___###__#__##__##_
; _#____#___#___#_#__#__#___#_#
; ###___#___###_#_#__#__###_#_#
; _______


;---------------------------------------------------------------------------
; "2 PLAYERS" intro text
;---------------------------------------------------------------------------

gfx.2players.parameters:
	.byte	clear			; color 1
	.byte	blue			; color 2
	.byte	56			; x position
	.byte	28			; y position
	.byte	34			; width
	.byte	5			; height
	.word	gfx.2players.data	; address for the graphics

gfx.2players.data:
	.byte %01100001, %10010000, %10010101, %11011000, %11100100
	.byte %01010100, %01010101, %01000101, %01000010, %00011001
	.byte %00011100, %10011001, %10001001, %00000100, %01000101
	.byte %00100100, %01010001, %11110001, %00011101, %01001001
	.byte %11010101, %10000000


;  _##____##__#____#__#_#_###_##___##
;  #__#___#_#_#___#_#_#_#_#___#_#_#__
;  __#____##__#___###__#__##__##___#_
;  _#_____#___#___#_#__#__#___#_#___#
;  ####___#___###_#_#__#__###_#_#_##_
;  ______

;---------------------------------------------------------------------------
; "PLAYER 1" Lettering
;---------------------------------------------------------------------------

gfx.player1.parameters:
	.byte	clear			; color 1
	.byte	green			; color 2
	.byte	27			; x position
	.byte	17			; y position
	.byte	29			; width
	.byte	5			; height
	.word	gfx.player1.data		; address for the graphics

gfx.player1.data:
	.byte %11001000, %01001010, %11101100
	.byte %00010101, %01000101, %01010100
	.byte %01010001, %10110010, %00111001
	.byte %00110011, %00000101, %00010001
	.byte %01001001, %00010100, %00101000
	.byte %11101010, %01001110, %10100011
	.byte %10000000

;---------------------------------------------------------------------------
; "2" For player 2 text
;---------------------------------------------------------------------------

gfx.player2.parameters:
	.byte	MAZE_BGCOLOR	; color 1
	.byte	green			; color 2
	.byte	53			; x position
	.byte	17			; y position
	.byte	3			; width
	.byte	5			; height
	.word	gfx.player2.data		; address for the graphics

gfx.player2.data:
	.byte %11000101, %01001110

; ##_
; __#
; _#_
; #__
; ###
; _


;---------------------------------------------------------------------------
; "READY!" Lettering
;---------------------------------------------------------------------------

gfx.ready.parameters:
	.byte	clear			; color 1
	.byte	green			; color 2
	.byte	29			; x position
	.byte	29			; y position
	.byte	23			; width
	.byte	5			; height
	.word	gfx.ready.data		; address for the graphics

gfx.ready.data:
	.byte	%11001110, %01001100, %10100111, %01010001, %01010101
	.byte %01001111, %00110011, %10101001, %00010101, %01000101 
	.byte %01010010, %00001010, %11101010, %11000100, %10000000

;---------------------------------------------------------------------------
; "GAME OVER" Lettering
;---------------------------------------------------------------------------

gfx.gameover.parameters:
	.byte	clear			; color 1
	.byte	red			; color 2
	.byte	24			; x position
	.byte	29			; y position
	.byte	35			; width
	.byte	5			; height
	.word	gfx.gameover.data		; address for the graphics

gfx.gameover.data:
	.byte %01100100, %10001011, %10001100, %10101110
	.byte %11010001, %01011011, %01000010, %01010101
	.byte %00010110, %10111010, %10101100, %01001010
	.byte %10110011, %01010101, %01000101, %00001001
	.byte %01010100, %01010110, %10101000, %10111000
	.byte %11000100, %11101010

;---------------------------------------------------------------------------
; "Score" Lettering
;---------------------------------------------------------------------------

gfx.score.parameters:
	.byte	clear			; color 1
	.byte	bkg			; color 2
	.byte	78			; x position
	.byte	1			; y position
	.byte	19			; width
	.byte	4			; height
	.word	gfx.score.data		; address for the graphics

gfx.score.data:
	.byte	%01100110, %01001100, %11111001, %00010101
	.byte	%01010001, %10100010, %10110011, %01100011
	.byte	%00100101, %01110000

;---------------------------------------------------------------------------
; "High" Lettering
;---------------------------------------------------------------------------

gfx.high.parameters:
	.byte	clear			; color 1
	.byte	bkg			; color 2
	.byte	78			; x position
	.byte	19			; y position
	.byte	16			; width
	.byte	4			; height
	.word	gfx.high.data		; address for the graphics

gfx.high.data:
	.byte	%10101110, %01101010
	.byte	%10100100, %10001010
	.byte	%11100100, %10101110
	.byte	%10101110, %01101010

;---------------------------------------------------------------------------
; Score numbers
;---------------------------------------------------------------------------

gfx.numbers:
	.byte	%11110110, %11011110				; 0
	.byte	%01011001, %00101110				; 1
	.byte	%11100111, %11001110				; 2
	.byte	%11100111, %10011110				; 3
	.byte	%10110111, %10010010				; 4
	.byte	%11110011, %10011110				; 5
	.byte	%11110011, %11011110				; 6
	.byte	%11100100, %10010010				; 7
	.byte	%11110111, %11011110				; 8
	.byte	%11110111, %10011110				; 9

